## oem-audio-intel-snd-hda-intel-4.15-fix-hdmi-audio-dkms 3

=== oem-audio-intel-snd-hda-intel-4.15-fix-hdmi-audio/Makefile ===
# SPDX-License-Identifier: GPL-2.0
KVER?= $(shell uname -r)
snd-hda-intel-objs := hda_intel.o
snd-hda-tegra-objs := hda_tegra.o

snd-hda-codec-y := hda_bind.o hda_codec.o hda_jack.o hda_auto_parser.o hda_sysfs.o
snd-hda-codec-y += hda_controller.o
snd-hda-codec-$(CONFIG_SND_PROC_FS) += hda_proc.o

snd-hda-codec-$(CONFIG_SND_HDA_HWDEP) += hda_hwdep.o
snd-hda-codec-$(CONFIG_SND_HDA_INPUT_BEEP) += hda_beep.o

# for trace-points
CFLAGS_hda_controller.o := -I$(src)
CFLAGS_hda_intel.o := -I$(src)

snd-hda-codec-generic-objs :=	hda_generic.o
snd-hda-codec-realtek-objs :=	patch_realtek.o
snd-hda-codec-cmedia-objs :=	patch_cmedia.o
snd-hda-codec-analog-objs :=	patch_analog.o
snd-hda-codec-idt-objs :=	patch_sigmatel.o
snd-hda-codec-si3054-objs :=	patch_si3054.o
snd-hda-codec-cirrus-objs :=	patch_cirrus.o
snd-hda-codec-ca0110-objs :=	patch_ca0110.o
snd-hda-codec-ca0132-objs :=	patch_ca0132.o
snd-hda-codec-conexant-objs :=	patch_conexant.o
snd-hda-codec-via-objs :=	patch_via.o
snd-hda-codec-hdmi-objs :=	patch_hdmi.o hda_eld.o

# common driver
obj-$(CONFIG_SND_HDA) := snd-hda-codec.o
obj-$(CONFIG_SND_HDA_CORE) += hdacore/

# codec drivers
obj-$(CONFIG_SND_HDA_GENERIC) += snd-hda-codec-generic.o
obj-$(CONFIG_SND_HDA_CODEC_REALTEK) += snd-hda-codec-realtek.o
obj-$(CONFIG_SND_HDA_CODEC_CMEDIA) += snd-hda-codec-cmedia.o
obj-$(CONFIG_SND_HDA_CODEC_ANALOG) += snd-hda-codec-analog.o
obj-$(CONFIG_SND_HDA_CODEC_SIGMATEL) += snd-hda-codec-idt.o
obj-$(CONFIG_SND_HDA_CODEC_SI3054) += snd-hda-codec-si3054.o
obj-$(CONFIG_SND_HDA_CODEC_CIRRUS) += snd-hda-codec-cirrus.o
obj-$(CONFIG_SND_HDA_CODEC_CA0110) += snd-hda-codec-ca0110.o
obj-$(CONFIG_SND_HDA_CODEC_CA0132) += snd-hda-codec-ca0132.o
obj-$(CONFIG_SND_HDA_CODEC_CONEXANT) += snd-hda-codec-conexant.o
obj-$(CONFIG_SND_HDA_CODEC_VIA) += snd-hda-codec-via.o
obj-$(CONFIG_SND_HDA_CODEC_HDMI) += snd-hda-codec-hdmi.o

# this must be the last entry after codec drivers;
# otherwise the codec patches won't be hooked before the PCI probe
# when built in kernel
obj-$(CONFIG_SND_HDA_INTEL) += snd-hda-intel.o
obj-$(CONFIG_SND_HDA_TEGRA) += snd-hda-tegra.o
# needless plumbing necessary for dkms to function correctly
all:
	make -C /lib/modules/$(KVER)/build M=$(shell pwd) modules
clean:
	make -C /lib/modules/$(KVER)/build M=$(shell pwd) clean

=== debian/changelog ===
oem-audio-intel-snd-hda-intel-4.15-fix-hdmi-audio-dkms (3) bionic; urgency=medium

  * Obsolete by 4.15.0-1067.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Mon, 03 Feb 2020 09:45:34 +0000

oem-audio-intel-snd-hda-intel-4.15-fix-hdmi-audio-dkms (2) bionic; urgency=medium

  * Base on 4.15.0-1037-oem source to add the fix for 4 hdmi/dp audio
    shows.

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Thu, 09 May 2019 21:28:51 +0800

oem-audio-intel-snd-hda-intel-4.15-fix-hdmi-audio-dkms (1) bionic; urgency=low

  * Automatically packaged by DKMS helper.

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Mon, 06 May 2019 16:17:49 +0800

=== debian/control ===
Source: oem-audio-intel-snd-hda-intel-4.15-fix-hdmi-audio-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Vcs-Git: git+ssh://git.launchpad.net/~oem-solutions-engineers/somerville/+git/oem-audio-intel-snd-hda-intel-4.15-fix-hdmi-audio-dkms
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 4.1.4

Package: oem-audio-intel-snd-hda-intel-4.15-fix-hdmi-audio-dkms
Architecture: amd64
Depends: dkms (>= 2.3-3ubuntu9.7), ${misc:Depends}
Description: oem-audio-intel-snd-hda-intel-4.15-fix-hdmi-audio driver in DKMS format wrapped by dkms-helper. Fix LP: #1822747.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-audio-intel-snd-hda-intel-4.15-fix-hdmi-audio
NAME=oem-audio-intel-snd-hda-intel-4.15-fix-hdmi-audio
VERSION=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
